Speakers
Delete speaker
Deletes a speaker
DELETE
/
speakers
/
{id}
Delete speaker
curl --request DELETE \
--url https://api.beyondwords.io/v1/speakers/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.beyondwords.io/v1/speakers/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.beyondwords.io/v1/speakers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"first_name": "Jane",
"last_name": "Doe",
"avatar_url": "https://example.com/avatar.jpg",
"created": "2023-12-31T00:00:00.000Z",
"updated": "2023-12-31T00:00:00.000Z",
"custom_voices": [
{
"id": 1
},
{
"name": "Jane"
},
{
"script_ids": [
123,
456
]
},
{
"cloning_status": "script-preparation"
},
{
"created": "2023-12-31T00:00:00.000Z"
},
{
"updated": "2023-12-31T00:00:00.000Z"
}
],
"voices": [
{
"id": 1
},
{
"name": "Jane"
}
]
}Authorizations
Path Parameters
speaker id
Query Parameters
The level of detail to show for custom_voices in the response: 'none' or 'partial'
Available options:
partial Response
200 - application/json
successful
Unique identifier for the object
The first name of the speaker
The last name of the speaker
The image URL of the speaker
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)
The custom voices for the speaker
Show child attributes
Show child attributes
The voices for the speaker
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Delete speaker
